/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hu.nir.nmail.ejb.stateless;

import hu.nir.nmail.ejb.entity.EmailSendingProces;
import hu.nir.nmail.ejb.entity.NmailUser;
import hu.nir.nmail.ejb.entity.UserProces;
import java.util.List;

/**
 *
 * @author attila
 */
public interface UserProcesManager {
    public void persist(UserProces userProces);
    public EmailSendingProces getNotFinishedEmailSendingProceses(NmailUser nmailUser);
    public EmailSendingProces getLastEmailSendingProces(NmailUser nmailUser);
    public UserProces merge(UserProces userProces);
    public List<EmailSendingProces> getAllEmailSendingProces(NmailUser nmailUser);
}
